Switch the key of an existing product

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.maddenanalytics.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Madden Analytics API MCP server": {
  "url": "https://docs.maddenanalytics.com/mcp"
}
Close
POST /v2/api/products/keyswitch

This endpoint is used to switch the key of an existing product and place the old one as a sku synonym

application/json

Body Required

  • ean string

    EAN of Variant

  • info object

    Any info / data needed by the integration (json)

  • key string Required

    Updated Key. Usually SKU or EAN but needs to be same on all occurrences

  • oldKey string Required

    Key to update, transaction & stock tables. Usually SKU or EAN but needs to be same on all occurrences

  • productGroupID string

    Optional ProductGroupID is used to group products together within Madden

  • season string

    Season that the product belongs to

  • sku string Required

    Updated SKU

  • variantGroupID string

    Optional VariantGroupID is used to group variants

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • message string
    • reference string
    • referenceField string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
POST /v2/api/products/keyswitch
curl \
 --request POST 'https://api.maddenanalytics.com/v2/api/products/keyswitch' \
 --header "Content-Type: application/json" \
 --data '[{"ean":"7340192703345","info":{},"key":"7340192703345","oldKey":"7340192703345_old","productGroupID":"123456","season":"Spring/Summer","sku":"123456-001-43","variantGroupID":"123456-001"}]'
Request examples
[
  {
    "ean": "7340192703345",
    "info": {},
    "key": "7340192703345",
    "oldKey": "7340192703345_old",
    "productGroupID": "123456",
    "season": "Spring/Summer",
    "sku": "123456-001-43",
    "variantGroupID": "123456-001"
  }
]
Response examples (200)
[
  {
    "message": "Missing BrandName",
    "reference": "123456-001-43",
    "referenceField": "key",
    "statusCode": 400
  }
]
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}